{pkgs, ...}: {
  nix = {
    extraOptions = ''
      experimental-features = flakes nix-command
    '';
    # this is required until nix 2.4 is released
    package = pkgs.nixFlakes;

    settings.auto-optimise-store = true;
    gc = {
      automatic = true;
      dates = "weekly";
      options = "--delete-older-than 30d";
    };
    trustedUsers = ["root" "michael"];
  };

  nixpkgs.config = {
    allowUnfree = true;
  };
}
